@mixin make-border-style($s) {
    #{$s}border-{
        &solid{
            border-style: solid;
        }
        &dashed{
            border-style: dashed;
        }
        &dotted{
            border-style: dotted;
        }
        &double{
            border-style: double;
        }
        &none{
            border-style: none;
        }
    }
}